import request from '@/utils/request'
// 经销商列表
export function getCustomerList(params) {
  return request({
    url: '/customer/list',
    method: 'get',
    params
  })
}
// 经销商钱包列表
export function getWalletCustomerList(params) {
  return request({
    url: '/wallet/customer/list',
    method: 'get',
    params
  })
}
// 新增
export function getRebateOrderAdd(data) {
  return request({
    url: '/rebate/order/add',
    method: 'post',
    data
  })
}
// 提审
export function getRebateOrderApply(params) {
  return request({
    url: '/rebate/order/apply',
    method: 'post',
    params
  })
}
// 列表
export function getRebateOrderList(params) {
  return request({
    url: '/rebate/order/list',
    method: 'get',
    params
  })
}
// 下载销售返利单模板
export function getRebateOrderDownLoad() {
  return request({
    url: '/rebate/order/download',
    method: 'get'
  })
}
// 导入销售返利单数据
export function getRebateOrderImport() {
  return request({
    url: '/rebate/order/import',
    method: 'post'
  })
}
